Namespace: webdriver.stacktrace
View Source

# class Snapshot

Stores a snapshot of the stack trace at the time this instance was created. The stack trace will always be adjusted to exclude this function call.

## new Snapshot(opt_slice)

Parameters

opt_slice`number=`

  The number of frames to remove from the top of the generated stack trace.

## Instance Methods

### getStacktrace()code »

Returns

`Array<webdriver.stacktrace.Frame>`

  The parsed stack trace.